#ifndef ITRCCNST_H
#define ITRCCNST_H

/* Execution Types */
#define InsTrcTypeAllocOff 0
#define InsTrcTypeExeOff 0
#define InsTrcTypeGCOff 0
#define InsTrcTypeExeOnLight 1048576
#define InsTrcTypeExeOn 3145728
#define InsTrcTypeGCOnLight 4194304
#define InsTrcTypeGCOn 12582912
#define InsTrcTypeAllocOn 16777216

/* Events */
#define InsTrcEventMethodEnter 1
#define InsTrcEventMethodLeave 2
#define InsTrcEventBlockEnter 3
#define InsTrcEventBlockLeave 4
#define InsTrcEventOIDRename 5
#define InsTrcEventOIDRangeRename 6
#define InsTrcEventOIDDelete 7
#define InsTrcEventOIDRangeDelete 8
#define InsTrcEventScavengeStart 9
#define InsTrcEventScavengeEnd 10
#define InsTrcEventGGCStart 11
#define InsTrcEventGGCEnd 12
#define InsTrcEventAllocate 13
#define InsTrcEventStartFieldReport 14
#define InsTrcEventFieldReport 15
#define InsTrcEventEndFieldReport 16
#define InsTrcEventUserEvent 255

/* Event Flag values */
#define InstrumentAllocEventClassDB 1

#define InstrumentReportEventClassDB 1

#define InstrumentMethodEventMethodDB 16
#define InstrumentMethodEventClassDB 32
#define InstrumentMethodEventStatic 2
#define InstrumentMethodEventNative 4
#define InstrumentMethodEventSync 8

/* Field Report Event Type values */
#define InstrumentFREventTypeJava 1
#define InstrumentFREventTypeJavaArray 2
#define InstrumentFREventTypeJavaClass 3

/* Support library flags */
#define InstrumentThreadNameDB 1
#define InstrumentThreadGroupNameDB 2
#define InstrumentUserEventDB 1

/* Instrument tracing support routines */
unsigned long InstrumentSupportCurrentThreadDetails(unsigned long vmID, unsigned long *flags, char **name, unsigned long *nameLength, long *priority, char **groupName, unsigned long *groupNameLength);

#endif /* ITRCCNST_H */
